<div class="flex flex-col flex-auto items-top min-w-0" style="background-color: #f8f8f8">
    <div class="container mx-auto flex justify-between">
        <div class="flex items-center cursor-pointer" [routerLink]="['/security']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">keyboard_arrow_left</mat-icon><span
                class="mt-6 mb-6 font-Semibold-20" style="color: #0038ff">Back</span>
        </div>
        <div class="flex items-center cursor-pointer" [routerLink]="['/help_outline']">
            <mat-icon class="mt-6 mb-6" style="color: #0038ff">help_outline</mat-icon>
        </div>
    </div>

    <div class="flex flex-col pt-6 mx-6">
        <div class="mt-2 font-Semibold-40 text-center font-141461">
            <div>Change PIN</div>
        </div>
    </div>
    <div class="flex items-top justify-center mt-7 mx-auto w-full sm:w-auto px-4 bg-card box-width"
        style="box-shadow: 0px 0px 6px #0000001a">
        <div class="w-full max-w-lg sm:w-96 mx-auto sm:mx-0">
            <div class="flex-auto p-6 sm:p-10">
                <div class="flex justify-center font-Regular-16 py-4">
                    Please enter your current PIN
                </div>
                <ngx-pincode class="my-pincode" [hideChrs]="true" type="number" [size]="6"
                    (completed)="pincodeCompleted($event)"></ngx-pincode>

                <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type">{{ alert.message
                    }}</fuse-alert>

                <div class="text-center mt-8">
                    <a class="font-Regular-14 font-0038ff" style="cursor: pointer" (click)="forgotPin()">Forgot Your
                        PIN?
                    </a>
                </div>

                <button class="fuse-mat-button-medium w-full mt-8 button-r5" mat-flat-button
                    [color]="'primary'" (click)="verifyPin()">
                    <span>Continue</span>
                </button>
            </div>
        </div>
    </div>
</div>